---
.deploy-tmpl:
  stage: test
  rules:
    - if: $CI_MERGE_REQUEST_ID
    - if: $CI_COMMIT_BRANCH
  allow_failure: true
  before_script:
    # Configure SSH
    - eval $(ssh-agent -s)
    - echo "$SSH_PRIVATE_KEY" | ssh-add -
    - mkdir -p ~/.ssh
    - '[[ -f /.dockerenv ]] && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'
    - docker login $CI_REGISTRY -u "gitlab-ci-token" -p "$CI_JOB_TOKEN"
  script:
    - scp ./docker/docker-compose.yml ${DEPLOY_USER}@${DEPLOY_HOST}:${DEPLOY_PATH}
    - ssh -T ${DEPLOY_USER}@${DEPLOY_HOST} "IMAGE=${CI_REGISTRY_IMAGE}:${CI_COMMIT_REF_SLUG}.latest docker compose -f ${DEPLOY_PATH}/docker-compose.yml up -d --build --remove-orphans"
  after_script:
    - docker logout ${$CI_REGISTRY}
